This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 540773 - ibus: Need a common word when ibus sends a "value-changed" signal.
ibus: Need a common word when ibus sends a "value-changed" signal.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 23:08 EST by fujiwara
Modified: 2009-11-24 00:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for ibus/ibus/config.py (498 bytes, patch)
2009-11-23 23:08 EST, fujiwara
no flags Details | Diff

  None (edit)
Description fujiwara 2009-11-23 23:08:11 EST
Created attachment 373336 [details]
Patch for ibus/ibus/config.py

Currently ibus-anthy causes a KeyError exception when the key is not defined in ibus-anthy.

E.g. bug 526881.
When ibus-setup is launched, ibus-gconf calls ibus_config_service_value_changed() in `config.c:`_value_changed_cb().
And ibus-daemon calls "value-changed" signal in `config.py:`__value_changed_cb().
When ibus-anthy receives the "value-changed" signal, the section name "panel" is not defined in ibus-anty so ibus-anthy causes a KeyError exception.

In Fedora 12, abrt is installed by default and it reports the KeyError exception.

I ignored "panel" section name in bug 526881 at the moment.

But bug 531696 was also reported recently.
It sends another section name "general" with the "value-changed" signal.
I'd like to define the section name when the parent application(ibus) sends a signal.

Currently ibus has the two gconf keys /desktop/ibus/general and /desktop/ibus/panel.
But the section name "general" is too general word for the engine.
My idea is to add a prefix "ibus-frame:" and I'm attaching the patch.
I think currently this change doesn't effect other engines so much.
Comment 1 Peng Huang 2009-11-24 00:05:20 EST
Actually, we should use prefix engine in section name for engines. Maybe engine/anthy is a good section name for anthy engine, and anthy could ignore other section names.
Comment 2 fujiwara 2009-11-24 00:11:38 EST
Thanks for the quick reply.
I confirmed pinyin.py.

Note You need to log in before you can comment on or make changes to this bug.